Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine.gui.model
Class DataParameter

    java.lang.Object
      uchicago.src.sim.engine.gui.model.DataParameter

Direct Known Subclasses:
  ConstantParameter, IncrementParameter, ListParameter, ParamBlockParameter, ValueParameter

    public class DataParameter

extends java.lang.Object

Author:
  wes maciorowski

Field Summary
`protected java.lang.String` | `lineSeparator`

Constructor Summary
`DataParameter()`
`DataParameter(int runs, java.lang.String name, java.lang.String dataType, boolean input)`
`DataParameter(java.lang.String name, java.lang.String dataType, boolean input)`

Method Summary
`java.lang.String` | `getDataType()`
`java.lang.String` | `getIOString()`
`java.lang.String` | `getName()`
`java.util.ArrayList` | `getNestedParameters()`
`int` | `getRuns()`
`boolean` | `isInput()`
`void` | `setDataType(java.lang.String dataType)`
`void` | `setInput(boolean input)`
`void` | `setName(java.lang.String name)`
`void` | `setRuns(int runs)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXMLCloseString()`
`java.lang.String` | `toXMLOpenString()`
`java.lang.String` | `toXMLString()` Deprecated. use toXMLOpenString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lineSeparator

    protected java.lang.String lineSeparator

Constructor Detail

### DataParameter

    public DataParameter(java.lang.String name,
                         java.lang.String dataType,
                         boolean input)

Parameters:
  `name` -
  `dataType` -
  `input` -

### DataParameter

    public DataParameter(int runs,
                         java.lang.String name,
                         java.lang.String dataType,
                         boolean input)

Parameters:
  `runs` -
  `name` -
  `dataType` -
  `input` -

### DataParameter

    public DataParameter()

Method Detail

### setDataType

    public void setDataType(java.lang.String dataType)

  Parameters:
    `dataType` - The dataType to set.

### getDataType

    public java.lang.String getDataType()

  Returns:
    Returns the dataType.

### setInput

    public void setInput(boolean input)

  Parameters:
    `input` - The input to set.

### isInput

    public boolean isInput()

  Returns:
    Returns the input.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### getNestedParameters

    public java.util.ArrayList getNestedParameters()

  Returns:
    Returns the nestedParameters.

### setRuns

    public void setRuns(int runs)

  Parameters:
    `runs` - The runs to set.

### getRuns

    public int getRuns()

  Returns:
    Returns the runs.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toXMLString

    public java.lang.String toXMLString()

  Deprecated. use toXMLOpenString

  This method writes out this parameter in XML format. It is really only intended to write output parameters.

  Returns:

### toXMLOpenString

    public java.lang.String toXMLOpenString()

### toXMLCloseString

    public java.lang.String toXMLCloseString()

### getIOString

    public java.lang.String getIOString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD